"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const index = require("./layout/components/ProjectLayoutSider/index.vue.js");
const index_vue_vue_type_script_setup_true_lang = require("../../layout/components/LayoutHeaderPro/index.vue.js");
const index$1 = require("../../layout/components/LayoutTransitionMain/index.vue.js");
const runtimeCore_esmBundler = require("../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _hoisted_1 = { class: "go-project" };
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_space = runtimeCore_esmBundler.resolveComponent("n-space");
      const _component_router_view = runtimeCore_esmBundler.resolveComponent("router-view");
      const _component_n_layout_content = runtimeCore_esmBundler.resolveComponent("n-layout-content");
      const _component_n_layout = runtimeCore_esmBundler.resolveComponent("n-layout");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        runtimeCore_esmBundler.createVNode(_component_n_layout, {
          "has-sider": "",
          position: "absolute"
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(_component_n_space, { vertical: "" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(index.default))
              ]),
              _: 1
            }),
            runtimeCore_esmBundler.createVNode(_component_n_layout, null, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(index_vue_vue_type_script_setup_true_lang.default)),
                runtimeCore_esmBundler.createVNode(_component_n_layout, {
                  id: "go-project-content-top",
                  class: "content-top",
                  position: "absolute",
                  "native-scrollbar": false
                }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_layout_content, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(index$1.default), null, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createVNode(_component_router_view)
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ]);
    };
  }
});
exports.default = _sfc_main;
